import { ElementRef, OnInit } from '@angular/core';
export declare class FabDirectionDirective implements OnInit {
    private el;
    btnDirection: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
    private setJustifyContent(position);
    private setDirection(flexDirection);
}
